@model DiagnosticsViewModel

<h2>Authentication cookie</h2>
<div class="row">
    <div class="col-lg-4">
        <h3>Claims</h3>
        <dl>
            @foreach (var claim in Model.AuthenticateResult.Principal.Claims)
            {
                <dt>@claim.Type</dt>
                <dd>@claim.Value</dd>
            }
        </dl>
    </div>
    <div class="col-lg-4">
        <h3>Properties</h3>
        <dl>
            @foreach (var prop in Model.AuthenticateResult.Properties.Items)
            {
                <dt>@prop.Key</dt>
                <dd>@prop.Value</dd>
            }
        </dl>
    </div>

    <div class="col-lg-4">
        @if (Model.Clients.Any())
        {
            <h3>Clients</h3>
            <ul>
                @foreach (var client in Model.Clients)
                {
                    <li>@client</li>
                }
            </ul>
        }
    </div>
</div>




